This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1248903 - Significant volume of datasource pool's logging generated by JBoss EAP 6.x
Significant volume of datasource pool's logging generated by JBoss EAP 6.x
Status: CLOSED NOTABUG
Product: JBoss Enterprise Application Platform 6
Classification: JBoss
Component: JCA (Show other bugs)
6.4.0
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: jboss-set
Martin Simka
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2015-07-31 02:54 EDT by xuzhan
Modified: 2015-08-05 20:11 EDT (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-08-05 20:11:29 EDT
Type: Enhancement
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Statistic log of datasource from JBoss EAP 5.x (23.20 KB, application/zip)
2015-07-31 02:54 EDT, xuzhan
no flags Details


External Trackers
Tracker ID Priority Status Summary Last Updated
JBoss Issue Tracker JBEAP-553 Major Closed Significant volume of datasource pool's logging generated by JBoss EAP 6.x 2016-06-29 02:03 EDT

  None (edit)
Description xuzhan 2015-07-31 02:54:27 EDT
Created attachment 1057932 [details]
Statistic log of datasource from JBoss EAP 5.x

Description of problem:
Based on KCS: https://access.redhat.com/solutions/287523, JBoss EAP 6.x is able to log statistics of datasource pool, but the volume is huge then that of JBoss EAP 5.x.

Version-Release number of selected component (if applicable):
JBoss EAP 6.x

How reproducible:
Follow the steps from KCS:https://access.redhat.com/solutions/287523

Steps to Reproduce:
1. /subsystem=logging/logger=org.jboss.jca:add(level=TRACE)
2. /subsystem=logging/logger=org.jboss.as.connector:add(level=TRACE)
3. /subsystem=logging/logger=com.arjuna:write-attribute(name=level,value=TRACE)
4. restart JBoss EAP 6.x

Actual results:
~~~
[org.jboss.jca.core.connectionmanager.pool.strategy.PoolBySubject] (http-/10.10.11.181:8080-6) returnConnection(1d9ffbbd, false)
ManagedConnectionPool: 7ec42e5a
Method: returnConnection(1d9ffbbd, false)
ManagedConnectionFactory:
  Class: org.jboss.jca.adapters.jdbc.local.LocalManagedConnectionFactory
  Object: 2785552b
ConnectionListenerFactory:
  Class: org.jboss.jca.core.connectionmanager.tx.TxConnectionManagerImpl
  Object: 229a8e52
Pool:
  Name: syncTargetDS
PoolConfiguration:
  MinSize: 0
  MaxSize: 20
  BlockingTimeout: 30000
  IdleTimeoutMinutes: 30
  BackgroundValidation: false
  BackgroundValidationMillis: 0
  StrictMin: false
  UseFastFail: false
Available (1):
  46306c48 (NORMAL)
InUse (1):
  1d9ffbbd (NORMAL)
Statistics:
  ActiveCount: 0
  AvailableCount: 0
  AverageBlockingTime: 0
  AverageCreationTime: 0
  CreatedCount: 0
  DestroyedCount: 0
  InUseCount: 0
  MaxCreationTime: 0
  MaxUsedCount: 0
  MaxWaitCount: 0
  MaxWaitTime: 0
  TimedOut: 0
  TotalBlockingTime: 0
  TotalCreationTime: 0
~~~

Expected results:
~~~
2015-07-07 00:01:41,236 INFO  [jca.lis] 0,150,10,2166,2156,11,0
~~~

Additional info:
Can we provide this function in the next patch?

Note You need to log in before you can comment on or make changes to this bug.